* {
    margin: 0;
    padding: 0;
}

html { 
    height: 100% 
}
body {
    display:flex;
    flex-direction: column;
    background-color: rgb(185, 185, 185);
    min-height: 100% 
}


header {
    color:black;
    background-color: rgb(210, 242, 255);
    padding: 0 3em;
    z-index: 2;
    box-sizing: border-box;

    display: flex;
    flex-direction: row;
    align-items: center;
}


h1 {
    display: inline-block;
    box-sizing: border-box;
    vertical-align: middle;


    font-family: 'Courier New', Courier, monospace;
    font-weight: 200;
}

h2 {
    font-size: xx-large;
    display: inline-block;
}

nav {
    display: inline-block;
    margin-left: 2em;
}

nav ul {
    list-style: none;
}

nav ul li {
    font-family: 'Courier New', Courier, monospace;
    display: inline-block;
    height: 100%;
    font-size: larger;
}

li a {
    text-decoration: none;
    color: black;
    display: inline-block;
    padding: 1.5em 3em;
}


nav ul li:hover, .currentfile {
    color: whitesmoke;
    background-color: rgb(19, 0, 128);
}

main {
    margin-left: 25vw;
    width: 50vw;
    flex-grow: 1;

    background-color: whitesmoke;
    padding: 3em 3em;
    box-sizing: border-box;

    box-shadow: 1em 0 1em  rgba(87, 87, 87, 0.5); 
}

ul {
    list-style-position: inside;
}

section {
    padding: 1em 2em;
}

.linelist {
    list-style-position: inside;
    list-style-type: '- '
}

.listindent {
    margin-left: 2em;
}

h3 {
    display: inline-block;
}

.twocolumnleftsmall {
    display:grid;
    grid-template-columns: 20% auto;
}

.twocolumn {
    display:grid;
    grid-template-columns: 50% 50%;
}

img {
    width: 100%;
}
li::before {
    margin-right: 10px;
}


@media screen and (max-width: 50rem) {
    main {
        margin-left: 0;
        width: 100vw;
        box-shadow: none;
    }

    h1, nav {
        display:block;
    }

    .twocolumn {
        display: block;
    }
}